Package ghidra.graph.viewer.renderer

# Class VisualVertexSatelliteRenderer<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.renderers.BasicVertexRenderer<V,E>
ghidra.graph.viewer.vertex.AbstractVisualVertexRenderer<V,E>
ghidra.graph.viewer.renderer.VisualVertexSatelliteRenderer<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.renderers.Renderer.Vertex<V,E>`

public class VisualVertexSatelliteRenderer<V extends VisualVertex,E extends VisualEdge<V>> extends AbstractVisualVertexRenderer<V,E>
A renderer for vertices for the satellite view. This is really just a basic renderer that adds emphasis capability, as seen in the primary function graph renderer.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.uci.ics.jung.visualization.renderers.Renderer.Vertex

  `edu.uci.ics.jung.visualization.renderers.Renderer.Vertex.NOOP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualVertexSatelliteRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `paintHighlight(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V vertex, edu.uci.ics.jung.visualization.transform.shape.GraphicsDecorator g, Rectangle bounds)`
  `protected void`
  `paintIconForVertex(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout)`
  Overridden to handle painting emphasis.
  `protected void`
  `paintShapeForVertex(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, Shape shape)`
  `protected Shape`
  `prepareFinalVertexShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, int[] coords)`

  ### Methods inherited from class ghidra.graph.viewer.vertex.AbstractVisualVertexRenderer

  `adjustValueForCurrentScale, getCompactShape, getEmphasisGraphics, getFullShape, getScale, getVertexFillPaintTransformer, isScaledPastVertexInteractionThreshold, paintDropShadow, setVertexFillPaintTransformer, transformFromLayoutToView`

  ### Methods inherited from class edu.uci.ics.jung.visualization.renderers.BasicVertexRenderer

  `paintVertex, vertexHit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VisualVertexSatelliteRenderer

    public VisualVertexSatelliteRenderer()

- ## Method Details

  - ### paintIconForVertex

    protected void paintIconForVertex(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout)
    Overridden to handle painting emphasis.
    Overrides:
      `paintIconForVertex` in class `edu.uci.ics.jung.visualization.renderers.BasicVertexRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### paintShapeForVertex

    protected void paintShapeForVertex(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, Shape shape)
    Overrides:
      `paintShapeForVertex` in class `edu.uci.ics.jung.visualization.renderers.BasicVertexRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### prepareFinalVertexShape

    protected Shape prepareFinalVertexShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V v, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, int[] coords)
    Overrides:
      `prepareFinalVertexShape` in class `edu.uci.ics.jung.visualization.renderers.BasicVertexRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### paintHighlight

    protected void paintHighlight(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, V vertex, edu.uci.ics.jung.visualization.transform.shape.GraphicsDecorator g, Rectangle bounds)
    Overrides:
      `paintHighlight` in class `AbstractVisualVertexRenderer<V extends VisualVertex,E extends VisualEdge<V>>`